> ## Documentation Index
> Fetch the complete documentation index at: https://docs.launchmystore.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Fulfillment

> Update fulfillment tracking information

## Path Parameters

<ParamField path="fulfillment_id" type="string" required>
  The fulfillment ID
</ParamField>

## Body Parameters

<ParamField body="status" type="string">
  Fulfillment status: `pending`, `open`, `success`, `cancelled`, `error`, `failure`
</ParamField>

<ParamField body="tracking_number" type="string">
  Updated tracking number
</ParamField>

<ParamField body="tracking_url" type="string">
  Updated tracking URL
</ParamField>

<ParamField body="tracking_company" type="string">
  Updated carrier name
</ParamField>

## Response

<ResponseExample>
  ```json theme={null}
  {
    "status": 200,
    "state": "success",
    "message": null,
    "data": {
      "fulfillment": {
        "fulfillmentId": "8f3a9c2e-1d4b-4a8e-9f12-3b7c6d5e4a10",
        "orderId": "ord_xyz789",
        "status": "success",
        "serviceId": null,
        "trackingNumber": "1Z999AA10123456785",
        "trackingUrl": "https://ups.com/track?num=1Z999AA10123456785",
        "trackingCompany": "UPS",
        "lineItems": [
          {
            "id": "li_001",
            "quantity": 2
          }
        ],
        "notifyCustomer": true,
        "createdAt": "2024-01-16T09:00:00.000Z",
        "updatedAt": "2024-01-21T10:00:00.000Z"
      }
    }
  }
  ```
</ResponseExample>
